Valid Item Types Below is a listing of the Valid Item Types which can be created inside of MachShip. The enum values or names can be used when submitting payloads to the MachShip APIs.For Packing Rules you will need to use the Item Type names 1 = Carton2 = Skid3 = Pallet4 = Crate5 = Satchel6 = Roll7 […] Read more »
Finding Your Carrier ID and Carrier Service IDs Finding Your Carrier ID and Carrier Service IDs Overview Some MachShip API operations require Carrier IDs and Carrier Service IDs. This guide explains how to locate these values using either the MachShip User Interface (UI) or the API. To retrieve these values via the API, you’ll also need your Company ID (see: Finding Your Company […] Read more »
FusedShip Integration Guide Overview The FusedShip integration layer is for eCommerce and ERP/WMS platforms looking to connect with the MachShip API, and gain access to common features that these platforms require, without needing to extend your platform. This guide is for software vendors looking to integrate with our FusedShip middleware. The FusedShip integration layer offers: Flexible inbound and […] Read more »
Specifying Pallet Types Overview When creating consignments that involve pallets, you may need to specify different pallet types such as CHEP, Loscam, or other pallet varieties. This guide explains how to properly specify pallet types in your consignment requests. Item Types When creating a consignment with pallets, you should first set the appropriate item type. The following pallet […] Read more »
How to view field requirements, lengths and values on Swagger using Schema Select the endpoint to explore Click the “Schema” link Expand the objects The field requirements, lengths or enum values will be displayed Read more »
Handling PO Boxes Overview When shipping to PO Box addresses, special handling is required as these addresses can only be serviced by specific carriers. This guide explains how to properly handle PO Box addresses in your integration. Implementation Guide When dealing with PO Box addresses: First, detect if the delivery address is a PO Box If it is […] Read more »
Auto-Consolidation & The MachShip API Overview Auto-consolidation is a powerful MachShip feature that automatically combines newly created consignments with existing unmanifested consignments that share the same destination, carrier, and service. This guide explains how to effectively use this feature in your API integration. Understanding Auto-Consolidation Auto-consolidation operates at the point of consignment creation and is enabled on a per-carrier basis. […] Read more »
Dangerous Goods Look Up by UN Number Overview This guide explains how to use the MachShip API to look up dangerous goods information by UN number. This can be useful when creating consignments with dangerous goods, as it allows you to retrieve detailed information about specific dangerous goods based on their UN numbers. API Endpoint & Parameters Important Note: This endpoint uses […] Read more »
Deleting & Cancelling Consignments Overview This guide explains how to delete or cancel consignments in different states through the MachShip interface or the API. Pending Consignments Pending consignments can be deleted at any time. When a pending consignment is converted into an unmanifested consignment, the originating pending consignment/s are deleted automatically. To delete pending consignments: POST https://live.machship.com/apiv2/pendingConsignments/deletePendingConsignments Request body […] Read more »
Calculating Dimensions From Cubic Data Overview To accurately price a movement with carriers, MachShip requires: Length x Height x Width Weight Quantity Of Packages ItemType (Pallet, Carton, Satchel etc) We need these specific dimensions rather than just a cubic number because: Various carriers have surcharges impacted by these values, such as overlength surcharges, tailgate fees, per item fees The size […] Read more »